{-| Module  : FiniteCategories
Description : An example of 'FullSubcategory' of __'FinCat'__ exported with GraphViz.
Copyright   : Guillaume Sabbagh 2022
License     : GPL-3
Maintainer  : guillaumesabbagh@protonmail.com
Stability   : experimental
Portability : portable

An example of 'FullSubcategory' of __'FinCat'__ exported with GraphViz.

Export the category in the directory "OutputGraphViz\/Examples\/FiniteCategories\/FinCat".
-}
module Math.FiniteCategories.FinCat.Example
(
    main
)
where
    import Data.WeakSet.Safe
    
    import Math.Categories
    import Math.FiniteCategories
    import Math.IO.FiniteCategories.ExportGraphViz
    
    import Numeric.Natural
    
    -- | An example of 'FullSubcategory' of __'FinCat'__ exported with GraphViz.
    main :: IO ()
    main = do
        putStrLn "Start of Math.FiniteCategories.FinCat.Example"
        catToPdf (FullSubcategory FinCat (numberCategory <$> (set [0..2])) :: FullSubcategory (FinCat NumberCategory NumberCategoryMorphism Natural) (FinFunctor NumberCategory NumberCategoryMorphism Natural) NumberCategory) "OutputGraphViz/Examples/FiniteCategories/FinCat/FinCat"
        putStrLn "End of Math.FiniteCategories.FinCat.Example"