{-| Module  : FiniteCategories
Description : An exemple of a 'diagonalFunctor' exported with GraphViz.
Copyright   : Guillaume Sabbagh 2022
License     : GPL-3
Maintainer  : guillaumesabbagh@protonmail.com
Stability   : experimental
Portability : portable

An exemple of 'diagonalFunctor' exported with GraphViz.

Export a diagonal functor in the directory "OutputGraphViz\/Examples\/Functor\/DiagonalFunctor".
-}
module Math.Functors.DiagonalFunctor.Example
(
    main
)
where
    import              Math.FiniteCategory  
    import              Math.FiniteCategories.DiscreteCategory
    import              Math.FiniteCategories.V
    import              Math.Functors.DiagonalFunctor
    import              Math.IO.FiniteCategories.ExportGraphViz
    
    import              Data.WeakSet             (Set)
    import qualified    Data.WeakSet           as Set
    import              Data.WeakSet.Safe
    import              Data.WeakMap             (Map)
    import qualified    Data.WeakMap           as Map
    import              Data.WeakMap.Safe
    
    -- | An exemple of 'diagonalFunctor' exported with GraphViz.
    main :: IO ()
    main = do
        putStrLn "Start of Math.Functors.DiagonalFunctor.Example"
        catToPdf (discreteCategory (set [1 :: Int,2])) "OutputGraphViz/Examples/Functors/DiagonalFunctor/indexing"
        catToPdf V "OutputGraphViz/Examples/Functors/DiagonalFunctor/target"
        diagToPdf2 (diagonalFunctor (discreteCategory (set [1 :: Int,2])) V) "OutputGraphViz/Examples/Functors/DiagonalFunctor/diagonalFunctor"
        putStrLn "End of Math.Functors.DiagonalFunctor.Example"