{-| Module  : FiniteCategories
Description : An example of 'yonedaEmbedding' exported with GraphViz.
Copyright   : Guillaume Sabbagh 2022
License     : GPL-3
Maintainer  : guillaumesabbagh@protonmail.com
Stability   : experimental
Portability : portable

An example of  'yonedaEmbedding' exported with GraphViz.

Export the diagram in the directory "OutputGraphViz\/Examples\/Functors\/YonedaEmbedding".
-}
module Math.Functors.YonedaEmbedding.Example
(
    main
)
where
    import Data.WeakSet         (Set)
    import Data.WeakSet.Safe
    
    import Math.FiniteCategories
    import Math.Categories
    import Math.IO.FiniteCategories.ExportGraphViz
    
    -- | 'yonedaEmbedding' exported with GraphViz.
    main :: IO ()
    main = do
        putStrLn "Start of Math.FiniteCategories.YonedaEmbedding.Example"
        diagToPdf2 (fullDiagram.yonedaEmbedding $ Hat) "OutputGraphViz/Examples/FiniteCategories/YonedaEmbedding/YonedaEmbeddingHat"
        diagToPdf2 (fullDiagram.yonedaEmbedding $ Square) "OutputGraphViz/Examples/FiniteCategories/YonedaEmbedding/YonedaEmbeddingSquare"
        putStrLn "End of Math.FiniteCategories.YonedaEmbedding.Example"